searchData={"items":[{"type":"module","title":"PercyClient","doc":"Wrapper functions for the Percy client API, for visual regression testing.","ref":"PercyClient.html"},{"type":"function","title":"PercyClient.percy_enabled?/0","doc":"Returns true if the local Percy server is running, false otherwise.","ref":"PercyClient.html#percy_enabled?/0"},{"type":"function","title":"PercyClient.snapshot/3","doc":"Takes a snapshot of the current page and posts it to Percy.","ref":"PercyClient.html#snapshot/3"},{"type":"module","title":"PercyClient.Cache","doc":"Simple cache for state relating to PercyClient","ref":"PercyClient.Cache.html"},{"type":"function","title":"PercyClient.Cache.get_or_fetch/2","doc":"","ref":"PercyClient.Cache.html#get_or_fetch/2"},{"type":"module","title":"PercyClient.HTTPClient","doc":"Tesla client for the local Percy HTTP server.","ref":"PercyClient.HTTPClient.html"},{"type":"function","title":"PercyClient.HTTPClient.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"PercyClient.HTTPClient.html#delete/3"},{"type":"function","title":"PercyClient.HTTPClient.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"PercyClient.HTTPClient.html#delete!/3"},{"type":"function","title":"PercyClient.HTTPClient.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"PercyClient.HTTPClient.html#get/3"},{"type":"function","title":"PercyClient.HTTPClient.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"PercyClient.HTTPClient.html#get!/3"},{"type":"function","title":"PercyClient.HTTPClient.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"PercyClient.HTTPClient.html#head/3"},{"type":"function","title":"PercyClient.HTTPClient.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"PercyClient.HTTPClient.html#head!/3"},{"type":"function","title":"PercyClient.HTTPClient.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"PercyClient.HTTPClient.html#options/3"},{"type":"function","title":"PercyClient.HTTPClient.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"PercyClient.HTTPClient.html#options!/3"},{"type":"function","title":"PercyClient.HTTPClient.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"PercyClient.HTTPClient.html#patch/4"},{"type":"function","title":"PercyClient.HTTPClient.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"PercyClient.HTTPClient.html#patch!/4"},{"type":"function","title":"PercyClient.HTTPClient.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"PercyClient.HTTPClient.html#post/4"},{"type":"function","title":"PercyClient.HTTPClient.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"PercyClient.HTTPClient.html#post!/4"},{"type":"function","title":"PercyClient.HTTPClient.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"PercyClient.HTTPClient.html#put/4"},{"type":"function","title":"PercyClient.HTTPClient.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"PercyClient.HTTPClient.html#put!/4"},{"type":"function","title":"PercyClient.HTTPClient.request/2","doc":"Perform a request.","ref":"PercyClient.HTTPClient.html#request/2"},{"type":"function","title":"Options - PercyClient.HTTPClient.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"PercyClient.HTTPClient.html#request/2-options"},{"type":"function","title":"Examples - PercyClient.HTTPClient.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"PercyClient.HTTPClient.html#request/2-examples"},{"type":"function","title":"PercyClient.HTTPClient.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"PercyClient.HTTPClient.html#request!/2"},{"type":"function","title":"PercyClient.HTTPClient.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"PercyClient.HTTPClient.html#trace/3"},{"type":"function","title":"PercyClient.HTTPClient.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"PercyClient.HTTPClient.html#trace!/3"},{"type":"type","title":"PercyClient.HTTPClient.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"PercyClient.HTTPClient.html#t:option/0"}],"content_type":"text/markdown"}